/***********************************************/
/*           Copyright (c) 2025 Belmu          */
/*             All Rights Reserved             */
/***********************************************/

#include "/settings.glsl"

#if defined STAGE_VERTEX

    void main() {
        gl_Position = vec4(gl_Vertex.xy * 2.0 - 1.0, 0.0, 1.0);
    }

#elif defined STAGE_FRAGMENT

    /* RENDERTARGETS: 3 */

    layout (location = 0) out vec3 downsampled;

    void main() {
        downsampled = vec3(0.0);
    }
    
#endif
